problême avec apt


#1

Bonjour.
tout nouveau sur debian (installé hier) et néophyte en informatique, j’ai ce message qui revient lorsque je fais un update (ce qui suit a été fait avec kpackage):
(j’ai juste rajouté la ligne nérim. apparemment, l’ip sécurity ne serait pas bonne?)
apt-get update;echo RESULT=$?
Hit ftp://ftp.nerim.net sarge/main Packages
Err security.debian.org updates/main Packages
404 Not Found [IP: 128.101.80.133 80]
Ign security.debian.org updates/main Release
Hit ftp://ftp.fr.debian.org stable/main Packages
Hit ftp://ftp.nerim.net sarge/main Release
Hit ftp://ftp.fr.debian.org stable/main Release
Hit ftp://ftp.fr.debian.org stable/contrib Packages
Hit ftp://ftp.fr.debian.org stable/contrib Release
Hit ftp://ftp.fr.debian.org stable/non-free Packages
Hit ftp://ftp.fr.debian.org stable/non-free Release
Hit ftp://ftp.fr.debian.org stable/main Sources
Hit ftp://ftp.fr.debian.org stable/main Release
Failed to fetch security.debian.org/stable/dists … ackages.gz 404 Not Found [IP: 128.101.80.133 80]
Reading Package Lists… Done
W: Couldn’t stat source package list security.debian.org updates/main Packages (/var/lib/apt/lists/security.debian.org_stable_dists_updates_main_binary-i386_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.
RESULT=100

Merci pour votre aide


#2

insistes: ca doit encore être security.debain.org qui est down :laughing:
Sinon, un petit conseil pour dans deux ou trois ans:
changes, dans /etc/apt/sources.list, tous les ‘stable’ en ‘sarge’: tu sera homogène, et quand la etch deviendra la stable, tu le restera quand même en sarge, sauf si tu le décides…


#3

Ok je vais insister.
et je vais changer stable en sarge comme tu le préconises.
et merci pour cette réponse hyper rapide!


#4

J’ai dit une bêtise: security est souvent en panne, mais la tu as une erreur “404 not found”.
Donc en regardant mieux, il doit y avoir une petite erreur sur la ligne security.debian.org/ . Elle doit ressembler à ça:deb http://security.debian.org/ stable/updates main contrib non-free
et eventuellement la même en deb-src.


#5

je viens de faire les modifs et c’est ok
encore merci